Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file using tramp

From: Mani Kancherla <[email-masked]>
Date: Wed, 8 Sep 2021 14:12:27 -0700

Hi Michael,

Sorry, it took me some time to get back to you. I asked one of my
colleagues to try it on her MAC.
We installed emacs 27.2 on that MAC first and then tramp 2.5.1, verified
that tramp 2.5.1 is loaded
with M-x tramp-version and then we could easily reproduce the issue.

I also suspect that it is related to tramp on MAC. I had been using emacs
and tramp for a few years
without trouble and I think the issues started last year. I don't remember
if it was after I upgraded my
MAC to the latest version at that time.

What I noticed is that, occasionally, sometimes within an hour and
sometimes after a couple of days, emacs
crashes. I tried upgrading MAC OS, emacs, tramp and nothing helped. Then I
tried to narrow it down
so I could consistently reproduce it.

Switching to the built-in 2.4.5.27.2 helped, i.e. reduced the frequency of
crashes significantly and also I
don't see the issue with the specific file that I could reproduce the issue
with consistently. However, I still see
emacs crashing occasionally. I am trying to run it in debugger and see if I
can gather useful info.

Thanks,
Mani

On Sat, Sep 4, 2021 at 12:06 AM Michael Albinus <[email-masked]>
wrote:

> Mani Kancherla <[email-masked]> writes:
>
> > Hi Michael,
>
> Hi Mani,
>
> > I followed the steps and could successfully compile using "M-x
> > tramp-recompile-elpa" and restart emacs after that (without -L ~
> > /.emacs.d/elpa/tramp-2.5.1.1 -l tramp). I verified that it is running
> > tramp version 2.5.1.1 with M-x tramp-version.
>
> Good.
>
> > I still see the problem with this. I open that specific problematic
> > file and split the window, it hangs.
>
> Just to be sure, I reran your test, again. No problem.
>
> You said that you're on macOS, while I'm using GNU/Linux. Perhaps this
> makes the difference, and we see an error of Emacs' thread
> implementation on macOS.
>
> It would be helpful, if somebody else could run your test on macOS,
> using the Tramp ELPA package, for verification.
>
> > Thanks,
> > Mani
>
> Best regards, Michael.
>